﻿/* Style de base */
a {
    color: #8C1500;
    text-decoration: none;
    font-weight: 600;
    position: relative;
    transition: color 0.3s ease;
}

/* Visité */
a:visited {
    color: #400E06;
}

/* Hover + animation */
a:hover {
    color: #0E398C;
}

/* Actif */
a:active {
    color: #0E398C;
}

/* Accessibilité */
a:focus {
    outline: 2px solid #8C1500;
    outline-offset: 2px;
}

/* Appliquer seulement aux liens qui ne contiennent PAS d'image */
a:not(:has(img))::after {
    content: "";
    position: absolute;
    width: 0;
    height: 2px;
    bottom: -2px;
    left: 0;
    background-color: #8C1500;
    transition: width 0.3s ease;
}

a:not(:has(img)):hover::after {
    width: 100%;
}
body
{
    font-family: ofelia-text,sans-serif;
    background-position: center top;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-color: #FFFFFF;	
    -webkit-font-smoothing: antialiased;
    text-rendering: optimizeLegibility;
}

p {
    font-family: ofelia-text,sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 1rem;
    color: #000066;
    line-height: 1.6;
}
h1
{
	color: #8C1500;
	font-family: ofelia-text,sans-serif;
	font-weight: 700;
	font-style: normal;
	font-size: 32px;
}
h2
{
    color: #8C1500;
	font-family: ofelia-text,sans-serif;
	font-weight: 600;
	font-style: normal;
    font-size: 28px;
}
h3
{
	color: #8C1500;
	font-family: ofelia-text,sans-serif;
	font-weight: 500;
	font-style: normal;
	font-size: 24px;
}
h4
{
	color: #666666;
	font-family: ofelia-text,sans-serif;
	font-weight: 600;
	font-style: normal;
	font-size: 22px;
}
h5
{
    color: #400E06;
    font-family: ofelia-text,sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 20px;
}
h6
{
	color: #400E06;
	font-family: ofelia-text,sans-serif;
	font-weight: 400;
	font-style: normal;
	font-size: 16px;
}
hr {
    border: thin solid #8C1500;
    background-color: #8C1500;
}
li {
    font-family: ofelia-text,sans-serif;
    font-weight: 400;
    font-style: normal;
	color: #1A1A1A;
}
/*Media-affichage cellulaire-ordinateur*/
/* Par défaut (desktop) */
.hide-desktop { display: none; }
.show-desktop { display: block; }

/* Mobile */
@media (max-width: 768px) {
  .hide-mobile { display: none; }
  .show-mobile { display: block; }

  /* Inverse sur mobile */
  .hide-desktop { display: block; }
  .show-desktop { display: none; }
}

/* Mobile */
@media (max-width: 768px) {
  #cellulaire_masque,
  #cellulaire_masque2,
  #cellulaire_masque3,
  #cellulaire_masque4 {
    display: none;
  }

  #cellulaire_show,
  #cellulaire_show2,
  #cellulaire_show3,
  #cellulaire_show4 {
    display: block;
  }
}

/* Desktop */
@media (min-width: 769px){
  #cellulaire_masque,
  #cellulaire_masque2,
  #cellulaire_masque3,
  #cellulaire_masque4 {
    display: block;
  }

  #cellulaire_show,
  #cellulaire_show2,
  #cellulaire_show3,
  #cellulaire_show4 {
    display: none;
  }
}
